ISXEVE - Bug #2092

evewindow members (capacity and usedcapacity) returning -1
2018-08-20 12:25 PM - bjcasey

Status: Implemented
Priority: High
Assignee: Amadeus
Category:

Target version:

vbulletin_issue_id:

Description

When using individual cargo windows, in space or in a station/citadel the following code is always returnning -1.
echo ${EVEWindow[byCaption,"Active ship"].Capacity}

| have tested the following and confirmed them to be working correctly:

echo ${EVEWindow[byCaption,"Ore Hold"].Capacity}

echo ${EVEWindow[byCaption,"Fleet Hangar"].Capacity}

echo ${EVEWindow[byCaption,"Cargo Container"].Capacity}

| do not know how long it has been broken, but the last entry in your changelog for evewindow was on:

March 18, 2018

[20180306.0003]

* Fixed the "Capacity" and "UsedCapacity" MEMBERS of the 'evewindow' when used with cargo containe
rs.

All ships have a cargo hold and when using the individual/separate window it has a caption of Active ship.

History

#1 - 2018-08-20 10:24 PM - Amadeus
| will need a few days to find time to look into this, but I will do my best to take care of it soon.

Until then, can you confirm that all of the other members/methods work for ${EVEWindow[byCaption,"Active ship"]... other than "Capacity" and
"UsedCapacity"?

#2 - 2018-08-20 10:24 PM - Amadeus
- Status changed from New to Accepted
- Assignee set to Amadeus

- Priority changed from Normal to High

#3 - 2018-08-23 07:41 PM - bjcasey

I have tested and confirmed working the following members:
.Name

.Caption

.Minimized

.ItemID

| have tested and confirmed working the following methods:
:Close

:Minimize

:Maximize

:StackAll

The other members and methods don't really apply to that window.

#4 - 2018-08-23 10:48 PM - Amadeus

- Status changed from Accepted to Implemented
Fixed in 20180823.0003

August 23, 2018
[20180823.0003]
* Fixed https:/forge.isxgames.com/issues/2092
* Removed the following MEMBERS from the 'evewindow' datatype:
1. ltemID
2. Capacity
3. UsedCapacity
* Added the following MEMBERS to the 'eveinvwindow' datatype:
Capacity (double type)
UsedCapacity  (double type)
LocationFlag  (string type)
LocationFlaglD (int type)
IsinRange (bool type)
ItemID (int64 type)
. HasCapacity (bool type)
~ Note: If a child window has TRUE for 'HasCapacity' and the 'Capacity' and/or
'UsedCapacity' is -1, then the child window has not been made active yet.
